import numpy as np
from mayavi import mlab
import matplotlib.pyplot as pl

t = np.linspace(-5, 5, 100)
x = 3 * np.cos(t)
y = 3 * np.sin(t)
z = t / np.pi

mlab.figure("test_fig", bgcolor=(0.56, 0.93, 0.56),
            fgcolor=(1, 0, 0), size=(300, 300))

s = mlab.plot3d(x, y, z, z, tube_radius=0.1)
mlab.title("Test Fig")
mlab.show()
